Subject: [xml2rfc-dev] Making the RNG and text grammar line up in SVG

From: Jim Schaad <[email-masked]>
Date: Tue, 26 Dec 2017 23:41:09 -0800

Nevil,

I am having a problem trying to get the RNG in appendix A aligned with the
grammar as laid out in section 2.1.  The RNG grammar appears to be a
superset of that in section 2.1.

The following item validates using the RNG in the appendix.  However it does
not validate if you pass it to the python script you have written.

<svg datatype="foobar" xmlns="http://www.w3.org/2000/svg">
<circle cx="50" cy="50" r="40" stroke="black" stroke-width="3"
fill="black"/>
</svg>

Which of the grammars should be considered to be authoritative?

Jim